#ifndef CMWCAMMATCHSHAPE_H_H
#define CMWCAMMATCHSHAPE_H_H

#include "cmwcamalgorithm.h"

namespace Ui {
class CMWCamMatchShape_h;
}

class CMWCamMatchShape_h : public CMWCamAlgorithm
{
    Q_OBJECT

public:
	explicit CMWCamMatchShape_h(QWidget *parent ,int32_t iCamID);
    ~CMWCamMatchShape_h();
public:
    void MInit();

    void MFresh();

    void MApply();
private slots:
    void on_pushButton_Tool_clicked();

    void on_pushButton_Train_clicked();

    void on_pushButton_Exe_clicked();

    void on_pushButton_Load_clicked();

    void on_pushButton_Save_clicked();

//    void on_checkBox_ROI_clicked(bool checked);

    void on_pushButton_ROI_clicked();

private:
    Ui::CMWCamMatchShape_h *ui;
    void FreshModel();
};

#endif // CMWCAMMATCHSHAPE_H_H
